/*1. construir la clase, debe estar agregado -webkit */
.fadeIn{
    /* tiempo */
    animation-duration: 4s;
    -webkit-animation-duration: 4s;
    /* de ida y regreso     */
    animation-fill-mode: both;
    -webkit-animation-fill-mode: both;
    /* nombre de la animación */
    animation-name: fadeIn;
    -webkit-animation-name: fadeIn;
}

/* 2. realizar key_frame */
@keyframes fadeIn {
    from{
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}


.fadeInDown{
    /* tiempo */
    animation-duration: 1s;
    -webkit-animation-duration: 1s;
    /* de ida y regreso     */
    animation-fill-mode: both;
    -webkit-animation-fill-mode: both;
    /* nombre de la animación */
    animation-name: fadeInDown;
    -webkit-animation-name: fadeInDown;
}

@keyframes fadeInDown {
    from{
        opacity: 0;
        /* con movimiento de arriba hacia abajo*/
        transform: translate3d(0,-100%,0);
        -webkit-transform: translate3d(0,-100%,0);
    }
    to {
        opacity: 1;
        /* regresa a su posicion original */
        transform: translate3d(0,0,0);
        -webkit-transform: translate3d(0,0,0);
    }
}


.fadeInUp{
    /* tiempo */
    animation-duration: 1s;
    -webkit-animation-duration: 1s;
    /* de ida y regreso     */
    animation-fill-mode: both;
    -webkit-animation-fill-mode: both;
    /* nombre de la animación */
    animation-name: fadeInUp;
    -webkit-animation-name: fadeInUp;
}

@keyframes fadeInUp {
    from{
        opacity: 0;
        /* con movimiento de abajo hacia arriba*/
        transform: translate3d(0,100%,0);
        -webkit-transform: translate3d(0,100%,0);
    }
    to {
        opacity: 1;
        /* regresa a su posicion original */
        transform: translate3d(0,0,0);
        -webkit-transform: translate3d(0,0,0);
    }
}



